Bug 1128741 - NPE during index-less query
Summary: NPE during index-less query
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER1
: 6.3.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1139620
TreeView+ depends on / blocked
 
Reported: 2014-08-11 13:04 UTC by Radim Vansa
Modified: 2015-01-26 14:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1139620 (view as bug list)
Environment:
Last Closed: 2015-01-26 14:03:26 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4630 Major Resolved DistributedEntryRetriever throws NPE if iterator is closed before processing all responses 2014-09-09 11:56:24 UTC

Description Radim Vansa 2014-08-11 13:04:05 UTC
This NPE was thrown when executing index-less query in JDG 6.3.0.GA

09:02:47,590 WARN  [org.infinispan.iteration.DistributedEntryRetriever] (transport-thread-22) ISPN000300: There was an exception while processing retrieval of entry values
java.lang.NullPointerException
    at org.infinispan.iteration.DistributedEntryRetriever$IterationStatus.access$000(DistributedEntryRetriever.java:79)
    at org.infinispan.iteration.DistributedEntryRetriever.processData(DistributedEntryRetriever.java:785)
    at org.infinispan.iteration.DistributedEntryRetriever.access$400(DistributedEntryRetriever.java:69)
    at org.infinispan.iteration.DistributedEntryRetriever$5.handleBatch(DistributedEntryRetriever.java:506)
    at org.infinispan.iteration.DistributedEntryRetriever$3.run(DistributedEntryRetriever.java:409)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
    at java.lang.Thread.run(Thread.java:744)

Comment 1 JBoss JIRA Server 2014-08-11 13:08:17 UTC
William Burns <wburns@redhat.com> updated the status of jira ISPN-4630 to Coding In Progress

Comment 3 Adrian Nistor 2014-08-11 15:05:53 UTC
Integrated in jdg-6.3.x and jdg-6.4.x

Comment 4 Radim Vansa 2014-08-14 08:18:43 UTC
Not fixed yet, latest jdg-6.3.x gives me:

17:40:53,427 WARN  [org.infinispan.iteration.DistributedEntryRetriever] (transport-thread-2) ISPN000300: There was an exception while processing retrieval of entry values
java.lang.NullPointerException
	at org.infinispan.iteration.DistributedEntryRetriever$IterationStatus.access$200(DistributedEntryRetriever.java:80)
	at org.infinispan.iteration.DistributedEntryRetriever.completeIteration(DistributedEntryRetriever.java:950)
	at org.infinispan.iteration.DistributedEntryRetriever.processData(DistributedEntryRetriever.java:919)
	at org.infinispan.iteration.DistributedEntryRetriever.access$400(DistributedEntryRetriever.java:70)
	at org.infinispan.iteration.DistributedEntryRetriever$5.handleBatch(DistributedEntryRetriever.java:517)
	at org.infinispan.iteration.DistributedEntryRetriever$3.run(DistributedEntryRetriever.java:415)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:744)

Comment 5 William Burns 2014-08-14 11:26:01 UTC
Ah good catch, this one is similar to the other one but a different area.  I will get this fixed and make sure there are no others like it.

Comment 6 JBoss JIRA Server 2014-08-14 11:29:01 UTC
William Burns <wburns@redhat.com> updated the status of jira ISPN-4630 to Reopened

Comment 7 JBoss JIRA Server 2014-08-14 11:55:41 UTC
William Burns <wburns@redhat.com> updated the status of jira ISPN-4630 to Coding In Progress

Comment 8 Adrian Nistor 2014-08-14 16:28:49 UTC
The additional fix is now merged in both jdg-6.3.x and jdg-6.4.x.

Comment 9 Radim Vansa 2014-08-28 13:17:48 UTC
Verified for 6.3.1.ER1


Note You need to log in before you can comment on or make changes to this bug.